Live-cd upgrade

Er bestaat geen mogelijkheid om de "live-cd' te gebruiken voor een upgrade van een aptosid installatie.

Voordat je de installatie van aptosid begint, maak een BACK-UP VAN JE DATA! incl. van favorieten/bladwijzers en e-mails.

Het is verstandig om een aparte data partitie te hebben of aan te leggen. Hierdoor kan dataverlies worden voorkomen (als door een fout de systeempartitie beschadigd is) en is de stabiliteit van je data gewaarborgd.

In je $HOME map of partitie worden de basisinstellingen voor de verschillende applicatie bewaard. De applicaties plaatsen daar de voorkeursinstellingen zoals kleuren, lettertypes, standaardmappen etc.

Dist-Upgrade na de installatie

Je hebt aptosid op je harde schijf geïnstalleerd met de laatste aptosid live-cd en je wilt nu de laatste versie van pakketten en veiligheids-updates installeren.

In aptosid heet dat 'dist-upgrade' en wordt via een internetverbinding gedaan. Dat gaat prima met een ADSL-verbinding. Via een inbel-modemverbinding is dat ook mogelijk, maar dat kan langer duren.

De enige ondersteunde methode voor een dist-upgrade is hieronder beschreven:

Pleeg a.u.b. NOOIT een dist-upgrade of upgrade in in de grafische X omgeving.
Controleer altijd voorafgaand de actuele waarschuwingen en adviezen op de aptosid website. Deze waarschuwingen staan daar omdat zij nodig zijn voor een Debian sid/unstable-systeem waarin dagelijks verschillende pakketten geactualiseerd of nieuwe pakketten toegevoegd worden.
##  Verlaat de grafische omgeving KDE via Ctrl+Alt+F1
## meld je aan als root, type:
init 3
apt-get update
apt-get dist-upgrade
apt-get clean
init 5 && exit
[Probeer nooit een DIST-UPGRADE [of UPGRADE] met adept, synaptic of aptitude uit te voeren. Kijk hier voor meer infomatie.:

De redenen om niets anders dan apt-get voor een dist-upgrade te gebruiken

Pakket managers zoals adept, aptitude, synaptic en kpackage zijn niet altijd in staat om de grote hoeveelheid aan veranderingen in Sid-systemen volledig en correct te verwerken (veranderde afhankelijkheden, veranderde namen, script veranderingen, ...). Dat is geen fout van de ontwikkelaars van deze hulpmiddelen. Zij hebben prachtige programma's geschreven voor de Debian Stable systemen, maar zij zijn niet gemaakt voor de bijzonderheden van Debian Sid systemen.

Je kan voor het zoeken naar pakketten gebruiken wat je wilt, maar neem uitsluitend apt-get voor installeren/verwijderen/dist-upgrading.

Probleem 1: Pakket managers zoals adept, aptitude, synaptic en kpackage zijn 'non-deterministic' voor complexe pakketten. Als in het dagelijks geactualiseerde aanbod van Debian Sid en in verschillende externe bronnen van verschillende qualiteit (wij gebruiken of adviseren deze niet, maar zij zijn wel de realiteit op een groot aantal user systemen) grafische pakket managers gebruikt worden, kunnen problemen ontstaan die niet eenvoudig gerepareerd kunnen worden. Probleem 2: Deze grafische package managers gebruiken runlevel 5 (init 5) en/of werken in X. Als je dus een dist-upgrade in init 5 en/of X uitvoert (ook een 'upgrade' wordt niet aanbevolen), kunnen problemen voor je systeem ontstaan, misschien niet vandaag of morgen, maar de problemen komen vrijwel zeker op je systeem.

Apt-get doet eenvoudig wat het behoort te doen. Als er tijdens de installatie een probleem ontstaat (afhankelijkheden, ontbrekende pakketten), dan wordt je geïnformeerd voordat de installatie doorgaat. Als apt-get de helft van je systeem wil verwijderen dan moet de administrator (jezelf dus) er serieus naar kijken voordat je 'y' en enter gebruikt.

Dat is de reden waarom Debian builds apt-get gebruiken en geen andere package managers.

Inhoud het laatst gewijzigd op 14/08/2010 0100 UTC